{
  "version": "0.1.0",
  "license": "MIT",
  "main": "dist/index.js",
  "typings": "dist/index.d.ts",
  "files": [
    "dist",
    "src"
  ],
  "engines": {
    "node": ">=10"
  },
  "scripts": {
    "start": "tsdx watch",
    "build": "tsdx build",
    "test": "tsdx test --passWithNoTests",
    "lint": "tsdx lint",
    "prepare": "tsdx build",
    "size": "size-limit",
    "analyze": "size-limit --why",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build",
    "start-storybook": "start-storybook"
  },
  "peerDependencies": {
    "react": ">=16"
  },
  "husky": {
    "hooks": {
      "pre-commit": "tsdx lint"
    }
  },
  "prettier": {
    "printWidth": 80,
    "semi": true,
    "singleQuote": true,
    "trailingComma": "es5"
  },
  "name": "portal-stbk",
  "author": "francis.lovo",
  "module": "dist/portal-stbk.esm.js",
  "size-limit": [
    {
      "path": "dist/portal-stbk.cjs.production.min.js",
      "limit": "10 KB"
    },
    {
      "path": "dist/portal-stbk.esm.js",
      "limit": "10 KB"
    }
  ],
  "devDependencies": {
    "@babel/core": "^7.21.8",
    "@babel/preset-env": "^7.21.5",
    "@babel/preset-react": "^7.18.6",
    "@babel/preset-typescript": "^7.21.5",
    "@size-limit/preset-small-lib": "^8.2.4",
    "@storybook/addon-essentials": "^7.0.17",
    "@storybook/addon-info": "^5.3.21",
    "@storybook/addon-interactions": "7.0.17",
    "@storybook/addon-links": "^7.0.17",
    "@storybook/addons": "^7.0.17",
    "@storybook/blocks": "7.0.17",
    "@storybook/react": "^7.0.17",
    "@storybook/react-webpack5": "7.0.17",
    "@storybook/testing-library": "0.0.14-next.2",
    "@types/react": "^18.2.6",
    "@types/react-dom": "^18.2.4",
    "@types/styled-components": "^5.1.26",
    "babel-loader": "^9.1.2",
    "husky": "^8.0.3",
    "prop-types": "15.8.1",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-is": "^18.2.0",
    "size-limit": "^8.2.4",
    "storybook": "7.0.17",
    "tsdx": "^0.14.1",
    "tslib": "^2.5.2",
    "typescript": "^5.0.4"
  },
  "dependencies": {
    "moment": "^2.29.4",
    "recharts": "^2.7.1",
    "styled-components": "^5.3.11"
  }
}
